%define upstream_name    App-cpanminus
%define upstream_version 1.7045

%{?perl_default_filter}
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%perl_vendorlib/App/cpanminus/fatscript.pm$
%global __requires_exclude perl\\(App::cpanminus::Dependency\\)

Name:       cpanminus
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get, unpack, build and install modules from CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

Obsoletes:  perl-App-cpanminus
Provides:   perl-App-cpanminus
Provides:   perl(App::cpanminus::CPANVersion)

%description
cpanminus is a script to get, unpack, build and install modules from CPAN.

Why? It's dependency free, requires zero configuration, and stands alone --
but it's maintainable and extensible with plugins and friendly to shell
scripting. When running, it requires only 10MB of RAM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/cpanm
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.704.500-2.mga9
+ Revision: 1816185
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 ns80 <ns80> 1.704.500-1.mga9
+ Revision: 1781071
- new version 1.7045 for CVE-2020-16154 (mga#30019)

* Wed Feb 12 2020 umeabot <umeabot> 1.704.400-3.mga8
+ Revision: 1501348
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.704.400-2.mga7
+ Revision: 1277820
- Mageia 7 Mass Rebuild

* Thu May 10 2018 shlomif <shlomif> 1.704.400-1.mga7
+ Revision: 1228127
- New version 1.7044

* Wed Mar 14 2018 shlomif <shlomif> 1.704.300-1.mga7
+ Revision: 1209515
- New version

* Sat Jun 18 2016 pterjan <pterjan> 1.704.0-2.mga6
+ Revision: 1022109
- Rebuild for perl 5.22.2

* Wed Feb 24 2016 shlomif <shlomif> 1.704.0-1.mga6
+ Revision: 978702
- update to 1.7040

* Thu Feb 18 2016 umeabot <umeabot> 1.703.900-2.mga6
+ Revision: 966976
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.703.900-1.mga6
+ Revision: 847478
- update to 1.7039

* Sun Jun 28 2015 sander85 <sander85> 1.703.800-1.mga6
+ Revision: 846991
- update to 1.7038

* Wed Oct 15 2014 umeabot <umeabot> 1.700.400-7.mga5
+ Revision: 740017
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 1.700.400-6.mga5
+ Revision: 736772
- readd provide excludes & explain
- simplify: kill excludes

* Fri Oct 03 2014 tv <tv> 1.700.400-4.mga5
+ Revision: 736460
- add missing provides

* Thu Oct 02 2014 jquelin <jquelin> 1.700.400-3.mga5
+ Revision: 735192
- using provides exclusion mechanism from rpm 4.12

* Tue Sep 16 2014 umeabot <umeabot> 1.700.400-2.mga5
+ Revision: 678564
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 1.700.400-1.mga5
+ Revision: 620455
- update to 1.7004

* Sun Oct 20 2013 umeabot <umeabot> 1.700.100-2.mga4
+ Revision: 536818
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 1.700.100-1.mga4
+ Revision: 485709
- update to 1.7001

* Sun Sep 08 2013 sander85 <sander85> 1.700.0-1.mga4
+ Revision: 476362
- update to 1.7000

* Thu Aug 29 2013 sander85 <sander85> 1.694.200-1.mga4
+ Revision: 473041
- update to 1.6942

* Fri Aug 16 2013 fwang <fwang> 1.694.0-2.mga4
+ Revision: 466936
- filter out wrong autoprov files

* Fri Aug 09 2013 sander85 <sander85> 1.694.0-1.mga4
+ Revision: 464870
- update to 1.6940

* Mon Aug 05 2013 sander85 <sander85> 1.693.600-1.mga4
+ Revision: 464005
- update to 1.6936

* Sun Jul 28 2013 sander85 <sander85> 1.693.400-1.mga4
+ Revision: 459769
- update to 1.6934

* Fri Jul 26 2013 sander85 <sander85> 1.693.300-1.mga4
+ Revision: 458336
- update to 1.6933

* Thu Jul 25 2013 sander85 <sander85> 1.693.200-1.mga4
+ Revision: 457932
- update to 1.6932

* Tue Jul 09 2013 jquelin <jquelin> 1.692.300-1.mga4
+ Revision: 451932
- update to 1.6923

* Wed Jun 26 2013 jquelin <jquelin> 1.692.200-1.mga4
+ Revision: 446852
- update to 1.6922

* Fri Jun 07 2013 jquelin <jquelin> 1.691.600-1.mga4
+ Revision: 438837
- update to 1.6916

* Tue Jun 04 2013 jquelin <jquelin> 1.691.500-1.mga4
+ Revision: 437064
- update to 1.6915

* Fri Jan 11 2013 umeabot <umeabot> 1.501.900-2.mga3
+ Revision: 348239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.501.900-1.mga3
+ Revision: 341916
- update to 1.5019

* Wed Sep 26 2012 jquelin <jquelin> 1.501.800-1.mga3
+ Revision: 297964
- update to 1.5018

* Wed Aug 29 2012 kharec <kharec> 1.501.700-1.mga3
+ Revision: 285092
- update to 1.5017

* Wed Jul 04 2012 jquelin <jquelin> 1.501.500-1.mga3
+ Revision: 267265
- update to 1.5015

* Mon Jun 18 2012 kharec <kharec> 1.501.400-1.mga3
+ Revision: 261486
- update to 1.5014

* Tue Jun 05 2012 jquelin <jquelin> 1.501.300-1.mga3
+ Revision: 254568
- update to 1.5013

* Wed Jan 04 2012 jquelin <jquelin> 1.500.700-1.mga2
+ Revision: 190270
- update to 1.5007

* Thu Dec 08 2011 kharec <kharec> 1.500.600-1.mga2
+ Revision: 179076
- update to 1.5006

* Mon Nov 14 2011 jquelin <jquelin> 1.500.400-1.mga2
+ Revision: 167625
- update to 1.5004

* Thu Nov 03 2011 jquelin <jquelin> 1.500.300-1.mga2
+ Revision: 162167
- update to 1.5003

* Fri Oct 14 2011 jquelin <jquelin> 1.500.100-1.mga2
+ Revision: 154740
- update to 1.5001

* Thu Oct 13 2011 jquelin <jquelin> 1.500.0-1.mga2
+ Revision: 154261
- update to 1.5000

* Fri Jun 17 2011 jquelin <jquelin> 1.400.800-1.mga2
+ Revision: 109123
- update to 1.4008

* Wed Jun 15 2011 jquelin <jquelin> 1.400.700-1.mga2
+ Revision: 106460
- update to 1.4007

* Tue Apr 05 2011 jquelin <jquelin> 1.400.400-2.mga1
+ Revision: 80716
- adding provides: to fully remove perl-app-cpanminus

* Sun Mar 13 2011 jquelin <jquelin> 1.400.400-1.mga1
+ Revision: 70535
- update to 1.4004

* Thu Mar 10 2011 jquelin <jquelin> 1.400.300-1.mga1
+ Revision: 67656
- update to 1.4003

* Mon Feb 21 2011 jquelin <jquelin> 1.200.100-1.mga1
+ Revision: 55461
- update to 1.2001

* Thu Feb 10 2011 jquelin <jquelin> 1.100.800-1.mga1
+ Revision: 49779
- update to 1.1008
- imported package cpanminus

